@import '../../scss';

.componentWrapper {
  margin-top: 83px;
  margin-bottom: 28px;
}

.container {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 260px 1fr 75px;
  grid-template-areas:
    'description image buttons'
    '. . .'
    '. . .';
  position: relative;
  max-width: 868px;
  // max-width: 100%;
  margin: auto;
  padding-top: 63px;

  @include below($breakpoint-lg) {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas:
      '. image buttons'
      '. description .'
      '. pagination .';
    max-width: 458px;
  }

  @include below($breakpoint-md) {
    grid-template-columns: 53px 1fr 53px;
    padding-top: 0;
  }
}

.descriptionContainer {
  grid-area: description;
  display: flex;
  justify-content: center;
  width: 100%;
  position: absolute;
  right: 110px;

  @include below($breakpoint-lg) {
    position: static;
    justify-self: center;
    padding-top: 30px;
    height: 210px;
    max-width: 260px;
  }

  .box {
    box-sizing: border-box;
    border: 1px solid $c-violet;
    border-radius: 10px;
    padding: 21px 16px;
    width: 100%;
    height: 158px;
    animation-name: description-slide-in;
    animation-duration: 125ms;
    animation-fill-mode: forwards;
    animation-timing-function: ease-out;

    @include below($breakpoint-lg) {
      width: 100%;
      height: 170px;
    }

    .title {
      color: $c-violet;
      font-size: 18px;
      text-transform: uppercase;
      font-weight: 800;
      margin: 0;
      margin-bottom: 16px;
    }

    .description {
      color: $c-white;
      font-size: 16px;
      margin: 0;
      margin-bottom: 10px;
      white-space: nowrap;
    }
  }
}

.flipButton {
  grid-area: buttons;
  border: none;
  height: 110px;
  outline: none;
  cursor: pointer;
  background-color: transparent;
  margin: 0;
  padding: 0;

  .iconContainer {
    display: flex;
    border: 1px solid $c-violet;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    width: 75px;
    height: 75px;

    svg {
      width: 45px;
      height: 45px;
    }

    @include below($breakpoint-md) {
      width: 51px;
      height: 51px;

      svg {
        width: 34px;
        height: 34px;
      }
    }
  }

  .text {
    color: $c-violet;
    margin: 0;
    margin-top: 5px;
    font-size: 18px;
    font-weight: 500;
    font-style: italic;
    text-align: center;
  }

  &:hover,
  &:focus {
    .iconContainer {
      border-color: lighten($c-violet, 37%);
      svg > path {
        fill: lighten($c-violet, 37%);
      }
    }
  }
  @include below($breakpoint-md) {
    position: relative;
    right: 30px;
  }
}
.containerInfo {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0 25px;
  .texts {
    p {
      font-family: 'Montserrat', 'sans-serif';
      font-style: normal;
      font-weight: normal;
      font-size: 18px;
      line-height: 22px;
      text-align: center;
      color: #ffffff;
      text-shadow: 0px 2px 50px rgba(255, 255, 255, 0.5);
    }
  }
  h3 {
    font-family: 'Montserrat Alternates', 'sans-serif';
    font-style: normal;
    font-weight: 600;
    white-space: nowrap;
    font-size: 25px;
    line-height: 30px;
    letter-spacing: 0.02em;
    color: #ffffff;
    text-shadow: 0px 2px 25px rgba(255, 255, 255, 0.5);
  }
}
.containerInfo {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0 25px;
  .texts {
    p {
      font-family: 'Montserrat', 'sans-serif';
      font-style: normal;
      font-weight: normal;
      font-size: 18px;
      line-height: 22px;
      text-align: center;
      color: #ffffff;
      text-shadow: 0px 2px 50px rgba(255, 255, 255, 0.5);
    }
  }
  h3 {
    font-family: 'Montserrat Alternates', 'sans-serif';
    font-style: normal;
    font-weight: 600;
    white-space: nowrap;
    font-size: 25px;
    line-height: 30px;
    letter-spacing: 0.02em;
    color: #ffffff;
    text-shadow: 0px 2px 25px rgba(255, 255, 255, 0.5);
  }
}

.nftImageContainer {
  position: relative;
  height: 555px;
  grid-area: image;
  display: flex;
  // justify-content: center;

  @include below($breakpoint-md) {
    height: 356px;
    margin-top: 68px;
    justify-content: center;
  }

  .mapContainer {
    position: relative;
    width: 293px;

    @include below($breakpoint-md) {
      width: 188px;
    }
  }

  .image {
    position: absolute;
    top: 0;
    left: 50%;
    width: 293px;
    backface-visibility: hidden;
    transform: translateX(-50%) rotateY(0deg);
    max-width: 100%;
    max-height: 100%;
    user-select: none;
    pointer-events: none;
    transition: transform 350ms ease-out;

    @include below($breakpoint-md) {
      width: 188px;
    }

    &.rotated {
      transform: translateX(-50%) rotateY(180deg);
    }
  }
}

.marker {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background-color: transparentize($c-violet, 0.7);
  border: none;
  outline: none;
  border-radius: 100%;
  width: 20px;
  padding: 0;
  height: 20px;
  z-index: 100;
  transform: translate(-50%, -50%);

  &::before {
    content: '';
    background-color: $c-violet;
    border-radius: 100%;
    width: 10px;
    height: 10px;
  }

  .title {
    display: none;
    position: absolute;
    left: 0;
    top: 50%;
    background-color: $c-blue;
    height: 2px;
    text-align: left;
    user-select: none;
    pointer-events: none;
    color: $c-violet;
    font-size: 18px;
    font-weight: 800;
    text-transform: uppercase;

    @include below($breakpoint-md) {
      font-size: 10px;
    }

    .text {
      display: block;
      width: 100%;
      position: absolute;
      left: 0;
      top: 0;
      transform: translateY(-100%);
    }
  }

  &:hover,
  &:focus {
    background-color: transparent;

    &::before {
      background-color: $c-blue;
    }

    .title {
      display: block;
    }
  }
  &.activeMarker {
    background-color: transparent;
    &::before {
      background-color: $c-blue;
    }
    .title {
      display: block;
    }
  }

  &.forceMarkerTitleVisible {
    .title {
      display: block;
    }
  }
}

.paginationContainer {
  grid-area: pagination;
  display: none;
  justify-content: center;

  @include below($breakpoint-md) {
    display: flex;
    margin-top: 29px;
  }

  .button {
    cursor: pointer;
    background-color: transparent;
    border: none;
    outline: none;
    margin: 0 32px;

    &:last-child {
      svg {
        transform: rotate(180deg);
      }
    }

    &:active {
      svg > path {
        fill: lighten($c-violet, 37%);
      }
    }
  }
}

.hidden {
  display: none;
}

@keyframes description-slide-in {
  0% {
    transform: translateY(10%);
    opacity: 0;
  }
  100% {
    transform: translateY(0%);
    opacity: 1;
  }
}
